// nova-tourism/components/shop-list.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    list: {
      type: Array,
      value: []
    }
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    toDetail(e) {
      let item = e.currentTarget.dataset.item;
      console.log(item)
      this.triggerEvent('toDetail', {id:item.objectId})
    }
  }
})
